package com.usky.iot.service.vo;


import com.usky.common.core.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2023-07-27
 */
@Data
public class FacilityImportVo{
    /**
     * 设施编号
     */
    @Excel(name = "设施编号")
    private String facilityNum;

    /**
     * 设施类型（必填）
     */
    @Excel(name = "设施类型（必填）")
    private String facilityType;

    /**
     * 设施名称（必填）
     */
    @Excel(name = "设施名称（必填）")
    private String facilityName;

    /**
     * 设施地址（必填）
     */
    @Excel(name = "设施地址（必填）")
    private String address;

    /**
     * 设施图片
     */
    @Excel(name = "设施图片")
    private String imagesUrl;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String contact;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String contactPhone;

    /**
     * 设施状态
     */
    @Excel(name = "设施状态")
    private Integer status;

    /**
     * 经度（必填）
     */
    @Excel(name = "经度（必填）")
    private String longitude;

    /**
     * 维度（必填）
     */
    @Excel(name = "维度（必填）")
    private String latitude;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    private LocalDateTime createTime;

}
